From 44dcf54c016cc45f7f0da3c6ff30f2ee57373335 Mon Sep 17 00:00:00 2001
From: Kirithika <kirithika@multicorewareinc.com>
Date: Tue, 20 Dec 2022 11:29:27 +0530
Subject: [PATCH] Cleanup unused variables and fix build warnings

---
 source/common/param.cpp        | 2 +-
 source/encoder/ratecontrol.cpp | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

diff --git a/source/common/param.cpp b/source/common/param.cpp
index eeda40eb5..03c3beb70 100755
--- a/source/common/param.cpp
+++ b/source/common/param.cpp
@@ -824,7 +824,7 @@ int x265_scenecut_aware_qp_param_parse(x265_param* p, const char* name, const ch
                     p->bwdNonRefQpDelta[i] = p->bwdNonRefQpDelta[i - 1] - (0.15 * p->bwdNonRefQpDelta[i - 1]);
                 }
             }
-            else if (36 == sscanf(value, "%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf"
+            else if (36 == sscanf(value, "%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf,%d,%lf,%lf"
                 , &window1[0], &refQpDelta1[0], &nonRefQpDelta1[0], &window1[1], &refQpDelta1[1], &nonRefQpDelta1[1]
                 , &window1[2], &refQpDelta1[2], &nonRefQpDelta1[2], &window1[3], &refQpDelta1[3], &nonRefQpDelta1[3]
                 , &window1[4], &refQpDelta1[4], &nonRefQpDelta1[4], &window1[5], &refQpDelta1[5], &nonRefQpDelta1[5]
diff --git a/source/encoder/ratecontrol.cpp b/source/encoder/ratecontrol.cpp
index 17d8c1e0d..b645676c8 100644
--- a/source/encoder/ratecontrol.cpp
+++ b/source/encoder/ratecontrol.cpp
@@ -3347,7 +3347,6 @@ double RateControl::forwardMasking(Frame* curFrame, double q)
     uint32_t maxWindowSize = uint32_t((m_param->fwdMaxScenecutWindow / 1000.0) * (m_param->fpsNum / m_param->fpsDenom) + 0.5);
     uint32_t windowSize[6], prevWindow = 0;
     int lastScenecut = m_top->m_rateControl->m_lastScenecut;
-    int lastIFrame = m_top->m_rateControl->m_lastScenecutAwareIFrame;
 
     double fwdRefQpDelta[6], fwdNonRefQpDelta[6], sliceTypeDelta[6];
     for (int i = 0; i < 6; i++)
@@ -3424,7 +3423,6 @@ double RateControl::forwardMasking(Frame* curFrame, double q)
 double RateControl::backwardMasking(Frame* curFrame, double q)
 {
     double qp = x265_qScale2qp(q);
-    uint32_t maxWindowSize = uint32_t((m_param->bwdMaxScenecutWindow / 1000.0) * (m_param->fpsNum / m_param->fpsDenom) + 0.5);
     uint32_t windowSize[6], prevWindow = 0;
     int lastScenecut = m_top->m_rateControl->m_lastScenecut;
 
-- 
2.28.0.windows.1

